Deduplicate Entities
curl --request POST \
--url https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/{rag_id}/deduplicate/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/{rag_id}/deduplicate/"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/{rag_id}/deduplicate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Deduplication task successfully initiated."{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Deduplication Error: '12443534' is not a valid ObjectId, it must be a 12-byte input or a 24-character hex string"
}API Reference
Deduplicate Entities
Triggers a deduplication process to merge redundant entities within the knowledge graph of the specified RAG system.
POST
/
v4
/
knowledge_graph
/
neo4j
/
{rag_id}
/
deduplicate
/
Deduplicate Entities
Authorizations
Path Parameters
The unique identifier (ID) of the RAG system on which to perform deduplication.
Example:
"654c602a46c3b6d4e28741b0"
Body
application/json
Empty request body is expected for this operation.
Response
Deduplication process successfully started or completed.
The response is of type string.
Example:
"Deduplication task successfully initiated."
⌘I